import * as _nuxt_schema from '@nuxt/schema';
import { Image, Slug, PortableTextBlock } from '@sanity/types';

interface SEO {
    _type: 'seo';
    indexable: boolean;
    title: string;
    shortTitle: string;
    description: string;
    image?: Image;
}

interface Page {
    _id: string;
    _type: 'page';
    title: string;
    slug: Slug;
    modules: Array<object>;
    seo: SEO;
}

interface GlobalSEO {
    siteName: string;
    image: Image;
}

interface LinkExternal {
    _type: 'linkExternal';
    url: string;
    newWindow: boolean;
}

interface LinkInternal {
    _type: 'linkInternal';
    slug: string;
}

type RichText = PortableTextBlock[];

interface Home {
    _type: 'home';
    modules: Array<object>;
    seo: SEO;
}

interface NotFound {
    _type: 'notFound';
    modules: Array<object>;
    seo: SEO;
}

declare const _default: _nuxt_schema.NuxtModule<_nuxt_schema.ModuleOptions, _nuxt_schema.ModuleOptions, false>;

export { type GlobalSEO, type Home, type LinkExternal, type LinkInternal, type NotFound, type Page, type RichText, type SEO, _default as default };
